Request class for the BatchGetItem operation. Read multiple items from one or more tables.

### Hierarchy

- BatchGetRequest

## Index

### Constructors

- constructor

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel
- returnConsumedCapacity

## Constructors

### constructor

- new BatchGetRequest(): BatchGetRequest

- - Defined in dynamo/batchget/batch-get.request.ts:24

  #### Returns BatchGetRequest

## Properties

### params

params: BatchGetItemInput

- Defined in dynamo/batchget/batch-get.request.ts:21

## Methods

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<BatchGetResponse>

- - Defined in dynamo/batchget/batch-get.request.ts:106

  execute and return the parsed items per table

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed items are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<BatchGetResponse>

### execFullResponse

- execFullResponse(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<BatchGetFullResponse>

- - Defined in dynamo/batchget/batch-get.request.ts:93

  execute and return full response with the mapped js objects per table

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed items are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<BatchGetFullResponse>

### execNoMap

- execNoMap(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<BatchGetItemOutput>

- - Defined in dynamo/batchget/batch-get.request.ts:81

  execute the request and return the raw response (without parsing the attributes to js objects)

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed items are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_GET_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<BatchGetItemOutput>

### forModel

- forModel<T>(modelClazz: ModelConstructor<T>, keys: Array<Partial<T>>, consistentRead?: boolean): BatchGetRequest

- - Defined in dynamo/batchget/batch-get.request.ts:47

  read items of model by key

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

    the corresponding ModelConstructor

  - ##### keys: Array<Partial<T>>

    an array of partials of T that contains PartitionKey and SortKey (if necessary). Throws if missing.

  - ##### Default value consistentRead: boolean = false

    set to true so the operation uses strongly consistent reads, default false

  #### Returns BatchGetRequest

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): BatchGetRequest

- - Defined in dynamo/batchget/batch-get.request.ts:36

  return ConsumedCapacity of the corresponding tables in the response

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns BatchGetRequest